# module JSON::ArrayConverter(Converter)

##
Overview

Converter to be used with `JSON.mapping` to serialize the `Array(T)` elements with the custom converter.

    require "json"

    class Timestamp
      JSON.mapping({
        values: {type: Array(Time), converter: JSON::ArrayConverter(Time::EpochConverter)},
      })
    end

    timestamp = Timestamp.from_json(%({"dates":[1459859781,1567628762]}))
    timestamp.values  # => [2016-04-05 12:36:21 UTC, 2019-09-04 20:26:02 UTC]
    timestamp.to_json # => %({"dates":[1459859781,1567628762]})

##
Defined in:

##
Class Method Summary

- .from_json(pull : JSON::PullParser)
- .to_json(values : Array, builder : JSON::Builder)

##
Class Method Detail

def self.from_json(pull : JSON::PullParser) #
def self.to_json(values : Array, builder : JSON::Builder) #